### Constructor

# Phosh MprisDBusMediaPlayer2Proxy new_for_bus_sync

#### Declaration [src]

    PhoshMprisDBusMediaPlayer2*
    phosh_mpris_dbus_media_player2_proxy_new_for_bus_sync (
      GBusType bus_type,
      GDBusProxyFlags flags,
      const gchar* name,
      const gchar* object_path,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Like `phosh_mpris_dbus_media_player2_proxy_new_sync()` but takes a `GBusType` instead of a `GDBusConnection`.

The calling thread is blocked until a reply is received.

See `phosh_mpris_dbus_media_player2_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

`bus_type`

  Type: `GBusType`

  A `GBusType`.

`flags`

  Type: `GDBusProxyFlags`

  Flags from the `GDBusProxyFlags` enumeration.

`name`

  Type: `const gchar*`

  A bus name (well-known or unique).

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`object_path`

  Type: `const gchar*`

  An object path.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `PhoshMprisDBusMediaPlayer2Proxy`

The constructed proxy object or `NULL` if `error` is set.

The caller of the function takes ownership of the data, and is responsible for freeing it.